package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DeviceTemplateBriefOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class DeviceTemplateBriefOpenApiVo   {
  @JsonProperty("ID")
  private String ID;

  @JsonProperty("templateName")
  private String templateName;

  @JsonProperty("deviceType")
  private String deviceType;

  @JsonProperty("showModel")
  private String showModel;

  public DeviceTemplateBriefOpenApiVo ID(String ID) {
    this.ID = ID;
    return this;
  }

  /**
   * The ID of device template.
   * @return ID
  */
  @ApiModelProperty(value = "The ID of device template.")


  public String getID() {
    return ID;
  }

  public void setID(String ID) {
    this.ID = ID;
  }

  public DeviceTemplateBriefOpenApiVo templateName(String templateName) {
    this.templateName = templateName;
    return this;
  }

  /**
   * The name of device template.
   * @return templateName
  */
  @ApiModelProperty(value = "The name of device template.")


  public String getTemplateName() {
    return templateName;
  }

  public void setTemplateName(String templateName) {
    this.templateName = templateName;
  }

  public DeviceTemplateBriefOpenApiVo deviceType(String deviceType) {
    this.deviceType = deviceType;
    return this;
  }

  /**
   * The type of device.
   * @return deviceType
  */
  @ApiModelProperty(value = "The type of device.")


  public String getDeviceType() {
    return deviceType;
  }

  public void setDeviceType(String deviceType) {
    this.deviceType = deviceType;
  }

  public DeviceTemplateBriefOpenApiVo showModel(String showModel) {
    this.showModel = showModel;
    return this;
  }

  /**
   * The model name of device.
   * @return showModel
  */
  @ApiModelProperty(value = "The model name of device.")


  public String getShowModel() {
    return showModel;
  }

  public void setShowModel(String showModel) {
    this.showModel = showModel;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceTemplateBriefOpenApiVo deviceTemplateBriefOpenApiVo = (DeviceTemplateBriefOpenApiVo) o;
    return Objects.equals(this.ID, deviceTemplateBriefOpenApiVo.ID) &&
        Objects.equals(this.templateName, deviceTemplateBriefOpenApiVo.templateName) &&
        Objects.equals(this.deviceType, deviceTemplateBriefOpenApiVo.deviceType) &&
        Objects.equals(this.showModel, deviceTemplateBriefOpenApiVo.showModel);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ID, templateName, deviceType, showModel);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceTemplateBriefOpenApiVo {\n");
    
    sb.append("    ID: ").append(toIndentedString(ID)).append("\n");
    sb.append("    templateName: ").append(toIndentedString(templateName)).append("\n");
    sb.append("    deviceType: ").append(toIndentedString(deviceType)).append("\n");
    sb.append("    showModel: ").append(toIndentedString(showModel)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

